Chi tiết — bản ghi quy tắc theo id
Xem chi tiết bản ghi quy tắc theo id trong nhóm Nhật ký tấn công của HiTechCloud WAF.
Xem chi tiết bản ghi quy tắc theo id trong nhóm Nhật ký tấn công của HiTechCloud WAF. (Chức năng: get black or white rule attack log detail).
Endpoint
| Method | Endpoint | Mô tả |
|---|---|---|
GET | /api/open/record/rule/:id | Xem chi tiết bản ghi quy tắc theo id |
Tham số
| Tham số | Vị trí | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|---|
id | Path | string | Có | log id |
Kiểm thử tại chỗ
GET
https://vcwaf.hitechcloud.vn/api/open/record/rule/:idKiểm thử tại chỗNhập token và tham số rồi bấm Gửi thử. Token không được lưu lại.
Tham số đường dẫn
cURL mẫu
curl -X GET "https://vcwaf.hitechcloud.vn/api/open/record/rule/123" \
-H "Authorization: Bearer YOUR_TOKEN"Phản hồi mẫu
{
"data": {
"action": 1,
"attack_type": 1,
"city": "string",
"country": "string",
"created_at": "2026-01-01 08:00:00",
"decode_path": "string",
"dst_ip": "203.0.113.10",
"dst_port": 20,
"eventId": "string",
"event_id": "a1b2c3d4",
"host": "example.com",
"id": 1024,
"ja4_fingerprint": "string",
"lat": "string",
"lng": "string",
"location": "string",
"method": "default",
"module": "string",
"payload": "string",
"policy_name": "example",
"policy_rule_id": 1024,
"policy_rule_parent_id": 1024,
"protocol": 1,
"province": "string"
},
"err": "",
"msg": "ok"
}Xem chi tiết bản ghi quy tắc theo id trong nhóm Nhật ký tấn công của HiTechCloud WAF. (Chức năng: get black or white rule attack log detail).
Endpoint
| Method | Endpoint | Mô tả |
|---|---|---|
GET | /api/open/record/rule/:id | Xem chi tiết bản ghi quy tắc theo id |
Tham số
| Tham số | Vị trí | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|---|
id | Path | string | Có | log id |
Kiểm thử tại chỗ
GET
https://vcwaf.hitechcloud.vn/api/open/record/rule/:idKiểm thử tại chỗNhập token và tham số rồi bấm Gửi thử. Token không được lưu lại.
Tham số đường dẫn
cURL mẫu
curl -X GET "https://vcwaf.hitechcloud.vn/api/open/record/rule/123" \
-H "Authorization: Bearer YOUR_TOKEN"Phản hồi mẫu
{
"data": {
"action": 1,
"attack_type": 1,
"city": "string",
"country": "string",
"created_at": "2026-01-01 08:00:00",
"decode_path": "string",
"dst_ip": "203.0.113.10",
"dst_port": 20,
"eventId": "string",
"event_id": "a1b2c3d4",
"host": "example.com",
"id": 1024,
"ja4_fingerprint": "string",
"lat": "string",
"lng": "string",
"location": "string",
"method": "default",
"module": "string",
"payload": "string",
"policy_name": "example",
"policy_rule_id": 1024,
"policy_rule_parent_id": 1024,
"protocol": 1,
"province": "string"
},
"err": "",
"msg": "ok"
}